﻿#language: ru
@integration

Функционал: 13_integration. Заполнение справочника Отправители данных обмена

Сценарий: 13_integration. Отправитель предопределенный элемент
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Обмен данными ИБ' 'Отправители'
	Тогда открылось окно 'Отправители'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| ''             |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно '<> (Отправитель)'
	И в поле с именем 'Наименование' я ввожу текст 'Е4ф'
	И из выпадающего списка с именем "ТипОтправителя" я выбираю точное значение 'Е4ф'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна '<> (Отправитель) *' в течение 20 секунд
	Тогда открылось окно 'Отправители'
	И Я закрываю окно 'Отправители'

Сценарий: 13_integration. Отправитель erp
	И В командном интерфейсе я выбираю 'Обмен данными ИБ' 'Отправители'
	Тогда открылось окно 'Отправители'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Отправитель (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'erp'
	И из выпадающего списка с именем "ТипОтправителя" я выбираю точное значение 'Ерп'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Отправитель (создание) *' в течение 20 секунд
	Тогда открылось окно 'Отправители'
	И Я закрываю окно 'Отправители'